AUDIT_UPDATE_WATCH_PERMS(3)

NAME
audit_update_watch_perms - update permissions field of watch command

SYNOPSIS
#include <libaudit.h>

int audit_update_watch_perms(struct audit_rule_data *rule, int perms);

DESCRIPTION
audit_update_watch_perms adds the permission checks to a watch command that is being built. The perms are a bitwise or'ing of: AUDIT_PERM_EXEC, AUDIT_PERM_WRITE, AUDIT_PERM_READ, AUDIT_PERM_ATTR.

RETURN VALUE
Returns a number < 0 if an error occurs; otherwise, 0 for success.

SEE ALSO
audit_add_rule_data(3), audit_add_watch(3).

AUTHOR
Steve Grubb